Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.scoringFunctions.directedGraphicalModels.structureLearning.measures.pmmMeasures
Class PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.scoringFunctions.directedGraphicalModels.structureLearning.measures.pmmMeasures.PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet

All Implemented Interfaces:
  RangeIterator, Storable, Cloneable

Enclosing class:
  PMMExplainingAwayResidual

    public static class PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet

extends InstanceParameterSet

Class for the parameters of a `PMMExplainingAwayResidual` structure `Measure`.

Author:
  Jan Grau

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet()` Creates a new `PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet` with empty parameter values.
`PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet(byte order, double[] ess)` Creates a new `PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet` with the parameter for the order set to `order` and the parameter for the equivalent sample sizes (ess) set to `ess`.
`PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet(StringBuffer representation)` Creates a new `PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet` from its XML representation as defined by the `Storable` interface.

Method Summary
`double[]` | `getEss()` Returns the equivalent sample sizes (ess) defined by this set of parameters.
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`String` | `getInstanceName()` Returns the name of an instance of the class that can be constructed using this `ParameterSet`.
`byte` | `getOrder()` Returns the order defined by this set of parameters.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet

    public PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet()

  Creates a new `PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet` with empty parameter values.

### PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet

    public PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet(byte order,
                                                                           double[] ess)
                                                                    throws Exception

  Creates a new `PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet` with the parameter for the order set to `order` and the parameter for the equivalent sample sizes (ess) set to `ess`.

  Parameters:
    `order` - the order
    `ess` - the equivalent sample sizes for the foreground class and the background, i.e. the background class or (in case of more than two classes) all non-foreground classes
  Throws:
    `Exception` - if the parameters could not be created or set

### PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet

    public PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet(StringBuffer representation)
                                                                    throws NonParsableException

  Creates a new `PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet` from its XML representation as defined by the `Storable` interface.

  Parameters:
    `representation` - the XML code as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML representation could not be parsed

Method Detail

### getEss

    public double[] getEss()

  Returns the equivalent sample sizes (ess) defined by this set of parameters.

  Returns:
    the ess

### getOrder

    public byte getOrder()

  Returns the order defined by this set of parameters.

  Returns:
    the order

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

### getInstanceName

    public String getInstanceName()

  Description copied from class: `InstanceParameterSet`
  Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceName` in class `InstanceParameterSet`
  Returns:
    the name of the class

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Specified by:
    `loadParameters` in class `ParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD